import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { MatCalendar } from '@angular/material';
import { DatepickerHeaderComponent } from './datepicker-header/datepicker-header.component';
export declare class DatepickerPopupComponent implements OnInit, OnDestroy {
    selectedDateChanged: EventEmitter<Date>;
    matCalendar: MatCalendar<Date>;
    datepickerHeader: typeof DatepickerHeaderComponent;
    minDate: Date;
    maxDate: Date;
    selectedDate: Date;
    weeks: Array<any>;
    private _componentLoadedSubscription;
    private _datepickerSubscription;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChanged(): void;
    onMonthSelected(selectedMonth: Date): void;
    onSelectedChanged(selectedDate: Date): void;
    onUserSelected(): void;
    private _calculateWeeks;
    private getWeeks;
}
